Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.handler
Class HTTPResponse

    java.lang.Object
      org.jboss.portal.core.controller.handler.HandlerResponse
          org.jboss.portal.core.controller.handler.HTTPResponse

    public abstract class HTTPResponse

extends HandlerResponse

Response that sends a response to the http layer.

Version:
  $Revision: 10551 $
Author:
  Julien Viet

Constructor Summary
`HTTPResponse()`

Method Summary
`static HTTPResponse` | `sendBinary(java.lang.String contentType, long lastModified, java.io.InputStream in)`
`static HTTPResponse` | `sendBinary(java.lang.String contentType, long lastModified, java.io.Reader reader)`
`static HTTPResponse` | `sendError()`
`static HTTPResponse` | `sendForbidden()`
`static HTTPResponse` | `sendNotFound()`
`static HTTPResponse` | `sendRedirect(java.lang.String redirect)`
`abstract void` | `sendResponse(ServerInvocationContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPResponse

    public HTTPResponse()

Method Detail

### sendResponse

    public abstract void sendResponse(ServerInvocationContext ctx)
                               throws java.io.IOException,
                                      javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### sendRedirect

    public static HTTPResponse sendRedirect(java.lang.String redirect)

### sendBinary

    public static HTTPResponse sendBinary(java.lang.String contentType,
                                          long lastModified,
                                          java.io.InputStream in)

### sendBinary

    public static HTTPResponse sendBinary(java.lang.String contentType,
                                          long lastModified,
                                          java.io.Reader reader)

### sendForbidden

    public static HTTPResponse sendForbidden()

### sendNotFound

    public static HTTPResponse sendNotFound()

### sendError

    public static HTTPResponse sendError()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD